OCC.Core.StdPrs module

StdPrs module, see official documentation at https://www.opencascade.com/doc/occt-7.4.0/refman/html/package_stdprs.html

class StdPrs_BndBox

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Computes presentation of a bounding box. @param thePresentation [in] the presentation. @param theBndBox [in] the bounding box. @param theDrawer [in] the drawer.
    param thePresentation

    type thePresentation

    Prs3d_Presentation

    param theBndBox

    type theBndBox

    Bnd_Box

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    rtype

    void* Computes presentation of a bounding box. @param thePresentation [in] the presentation. @param theBndBox [in] the bounding box. @param theDrawer [in] the drawer.

    param thePresentation

    type thePresentation

    Prs3d_Presentation

    param theBndBox

    type theBndBox

    Bnd_OBB

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    rtype

    void

static FillSegments()
  • Create primitive array with line segments for displaying a box. @param theBox [in] the box to add
    param theBox

    type theBox

    Bnd_OBB

    rtype

    opencascade::handle<Graphic3d_ArrayOfSegments>* Create primitive array with line segments for displaying a box. @param theBox [in] the box to add

    param theBox

    type theBox

    Bnd_Box

    rtype

    opencascade::handle<Graphic3d_ArrayOfSegments>* Create primitive array with line segments for displaying a box. @param theSegments [in] [out] primitive array to be filled; should be at least 8 nodes and 24 edges in size @param theBox [in] the box to add

    param theSegments

    type theSegments

    Graphic3d_ArrayOfSegments

    param theBox

    type theBox

    Bnd_OBB

    rtype

    None* Create primitive array with line segments for displaying a box. @param theSegments [in] [out] primitive array to be filled; should be at least 8 nodes and 24 edges in size @param theBox [in] the box to add

    param theSegments

    type theSegments

    Graphic3d_ArrayOfSegments

    param theBox

    type theBox

    Bnd_Box

    rtype

    None

static fillSegments()
  • Create primitive array with line segments for displaying a box. @param theSegments [in] [out] primitive array to be filled; should be at least 8 nodes and 24 edges in size @param theBox [in] the box to add
    param theSegments

    type theSegments

    Graphic3d_ArrayOfSegments

    param theBox

    type theBox

    gp_Pnt *

    rtype

    None

property thisown

The membership flag

class StdPrs_Curve

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Adds to the presentation aPresentation the drawing of the curve aCurve. The aspect is defined by LineAspect in aDrawer. If drawCurve equals Standard_False the curve will not be displayed, it is used if the curve is a part of some shape and PrimitiveArray visualization approach is activated (it is activated by default).
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    param drawCurve

    default value is Standard_True

    type drawCurve

    bool

    rtype

    void* Adds to the presentation aPresentation the drawing of the curve aCurve. The aspect is defined by LineAspect in aDrawer. The drawing will be limited between the points of parameter U1 and U2. If drawCurve equals Standard_False the curve will not be displayed, it is used if the curve is a part of some shape and PrimitiveArray visualization approach is activated (it is activated by default).

    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param U1

    type U1

    float

    param U2

    type U2

    float

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    param drawCurve

    default value is Standard_True

    type drawCurve

    bool

    rtype

    void* adds to the presentation aPresentation the drawing of the curve aCurve. The aspect is the current aspect. aDeflection is used in the circle case. Points give a sequence of curve points. If drawCurve equals Standard_False the curve will not be displayed, it is used if the curve is a part of some shape and PrimitiveArray visualization approach is activated (it is activated by default).

    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    param Points

    type Points

    TColgp_SequenceOfPnt

    param drawCurve

    default value is Standard_True

    type drawCurve

    bool

    rtype

    void* adds to the presentation aPresentation the drawing of the curve aCurve. The aspect is the current aspect. The drawing will be limited between the points of parameter U1 and U2. aDeflection is used in the circle case. Points give a sequence of curve points. If drawCurve equals Standard_False the curve will not be displayed, it is used if the curve is a part of some shape and PrimitiveArray visualization approach is activated (it is activated by default).

    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param U1

    type U1

    float

    param U2

    type U2

    float

    param Points

    type Points

    TColgp_SequenceOfPnt

    param aNbPoints

    default value is 30

    type aNbPoints

    int

    param drawCurve

    default value is Standard_True

    type drawCurve

    bool

    rtype

    void

static Match()
  • returns true if the distance between the point (X,Y,Z) and the drawing of the curve is less than aDistance.
    param X

    type X

    float

    param Y

    type Y

    float

    param Z

    type Z

    float

    param aDistance

    type aDistance

    float

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    bool* returns true if the distance between the point (X,Y,Z) and the drawing of the curve is less than aDistance.

    param X

    type X

    float

    param Y

    type Y

    float

    param Z

    type Z

    float

    param aDistance

    type aDistance

    float

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param aDeflection

    type aDeflection

    float

    param aLimit

    type aLimit

    float

    param aNbPoints

    type aNbPoints

    int

    rtype

    bool* returns true if the distance between the point (X,Y,Z) and the drawing of the curve aCurve is less than aDistance. The drawing is considered between the points of parameter U1 and U2;

    param X

    type X

    float

    param Y

    type Y

    float

    param Z

    type Z

    float

    param aDistance

    type aDistance

    float

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param U1

    type U1

    float

    param U2

    type U2

    float

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    bool* returns true if the distance between the point (X,Y,Z) and the drawing of the curve aCurve is less than aDistance. The drawing is considered between the points of parameter U1 and U2;

    param X

    type X

    float

    param Y

    type Y

    float

    param Z

    type Z

    float

    param aDistance

    type aDistance

    float

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param U1

    type U1

    float

    param U2

    type U2

    float

    param aDeflection

    type aDeflection

    float

    param aNbPoints

    type aNbPoints

    int

    rtype

    bool

property thisown

The membership flag

class StdPrs_HLRPolyShape

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Defines the hidden line removal display of the topology aShape in the projection defined by aProjector. The shape and the projection are added to the display aPresentation, and the attributes of the elements present in the aPresentation are defined by the attribute manager aDrawer.
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aShape

    type aShape

    TopoDS_Shape

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    param aProjector

    type aProjector

    Prs3d_Projector

    rtype

    void

property thisown

The membership flag

class StdPrs_HLRShape

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
Parameters

thePresentation

type thePresentation

Prs3d_Presentation

param theShape

type theShape

TopoDS_Shape

param theDrawer

type theDrawer

Prs3d_Drawer

param theProjector

type theProjector

Prs3d_Projector

rtype

void

property thisown

The membership flag

class StdPrs_HLRToolShape(*args)

Bases: object

Parameters

TheShape

type TheShape

TopoDS_Shape

param TheProjector

type TheProjector

HLRAlgo_Projector

rtype

None

Hidden()
Parameters

TheEdge

type TheEdge

BRepAdaptor_Curve

param U1

type U1

float

param U2

type U2

float

rtype

None

InitHidden()
Parameters

EdgeNumber

type EdgeNumber

int

rtype

None

InitVisible()
Parameters

EdgeNumber

type EdgeNumber

int

rtype

None

MoreHidden()
Return type

bool

MoreVisible()
Return type

bool

NbEdges()
Return type

int

NextHidden()
Return type

None

NextVisible()
Return type

None

Visible()
Parameters

TheEdge

type TheEdge

BRepAdaptor_Curve

param U1

type U1

float

param U2

type U2

float

rtype

None

property thisown

The membership flag

class StdPrs_Isolines

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Computes isolines presentation for a TopoDS face. This method chooses proper version of isoline builder algorithmon triangulation or surface depending on the flag passed from Prs3d_Drawer attributes. This method is a default way to display isolines for a given TopoDS face. @param thePresentation [in] the presentation. @param theFace [in] the face. @param theDrawer [in] the display settings. @param theDeflection [in] the deflection for isolines-on-surface version.
    param thePresentation

    type thePresentation

    Prs3d_Presentation

    param theFace

    type theFace

    TopoDS_Face

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theDeflection

    type theDeflection

    float

    rtype

    inline void* Computes isolines presentation for a TopoDS face. This method chooses proper version of isoline builder algorithm : on triangulation or surface depending on the flag passed from Prs3d_Drawer attributes. This method is a default way to display isolines for a given TopoDS face. @param theFace [in] the face. @param theDrawer [in] the display settings. @param theDeflection [in] the deflection for isolines-on-surface version.

    param theFace

    type theFace

    TopoDS_Face

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theDeflection

    type theDeflection

    float

    param theUPolylines

    type theUPolylines

    Prs3d_NListOfSequenceOfPnt

    param theVPolylines

    type theVPolylines

    Prs3d_NListOfSequenceOfPnt

    rtype

    None

static AddOnSurface()
  • Computes isolines on surface and adds them to presentation. @param thePresentation [in] the presentation. @param theFace [in] the face. @param theDrawer [in] the display settings. @param theDeflection [in] the deflection value.
    param thePresentation

    type thePresentation

    Prs3d_Presentation

    param theFace

    type theFace

    TopoDS_Face

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theDeflection

    type theDeflection

    float

    rtype

    void* Computes isolines on surface and adds them to presentation. @param theFace [in] the face @param theDrawer [in] the display settings @param theDeflection [in] the deflection value @param theUPolylines [out] the sequence of result polylines @param theVPolylines [out] the sequence of result polylines

    param theFace

    type theFace

    TopoDS_Face

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theDeflection

    type theDeflection

    float

    param theUPolylines

    type theUPolylines

    Prs3d_NListOfSequenceOfPnt

    param theVPolylines

    type theVPolylines

    Prs3d_NListOfSequenceOfPnt

    rtype

    void* Computes isolines on surface and adds them to presentation. @param thePresentation [in] the presentation. @param theSurface [in] the surface. @param theDrawer [in] the display settings. @param theDeflection [in] the deflection value. @param theUIsoParams [in] the parameters of u isolines to compute. @param theVIsoParams [in] the parameters of v isolines to compute.

    param thePresentation

    type thePresentation

    Prs3d_Presentation

    param theSurface

    type theSurface

    BRepAdaptor_HSurface

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theDeflection

    type theDeflection

    float

    param theUIsoParams

    type theUIsoParams

    TColStd_SequenceOfReal

    param theVIsoParams

    type theVIsoParams

    TColStd_SequenceOfReal

    rtype

    void

static AddOnTriangulation()
  • Computes isolines on triangulation and adds them to a presentation. @param thePresentation [in] the presentation. @param theFace [in] the face. @param theDrawer [in] the display settings.
    param thePresentation

    type thePresentation

    Prs3d_Presentation

    param theFace

    type theFace

    TopoDS_Face

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    rtype

    void* Computes isolines on triangulation. @param theFace [in] the face. @param theDrawer [in] the display settings. @param theUPolylines [out] the sequence of result polylines @param theVPolylines [out] the sequence of result polylines

    param theFace

    type theFace

    TopoDS_Face

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theUPolylines

    type theUPolylines

    Prs3d_NListOfSequenceOfPnt

    param theVPolylines

    type theVPolylines

    Prs3d_NListOfSequenceOfPnt

    rtype

    void* Computes isolines on triangulation and adds them to a presentation. @param thePresentation [in] the presentation. @param theTriangulation [in] the triangulation. @param theSurface [in] the definition of triangulated surface. The surface adapter is used to precisely evaluate isoline points using surface law and fit them on triangulation. If NULL is passed, the method will use linear interpolation of triangle node’s UV coordinates to evaluate isoline points. @param theLocation [in] the location transformation defined for triangulation (surface). @param theDrawer [in] the display settings. @param theUIsoParams [in] the parameters of u isolines to compute. @param theVIsoParams [in] the parameters of v isolines to compute.

    param thePresentation

    type thePresentation

    Prs3d_Presentation

    param theTriangulation

    type theTriangulation

    Poly_Triangulation

    param theSurface

    type theSurface

    Geom_Surface

    param theLocation

    type theLocation

    TopLoc_Location

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theUIsoParams

    type theUIsoParams

    TColStd_SequenceOfReal

    param theVIsoParams

    type theVIsoParams

    TColStd_SequenceOfReal

    rtype

    void

static UVIsoParameters()
  • Evalute sequence of parameters for drawing uv isolines for a given face. @param theFace [in] the face. @param theNbIsoU [in] the number of u isolines. @param theNbIsoV [in] the number of v isolines. @param theUVLimit [in] the u, v parameter value limit. @param theUIsoParams [out] the sequence of u isoline parameters. @param theVIsoParams [out] the sequence of v isoline parameters. @param theUmin [out] the lower U boundary of theFace. @param theUmax [out] the upper U boundary of theFace. @param theVmin [out] the lower V boundary of theFace. @param theVmax [out] the upper V boundary of theFace.
    param theFace

    type theFace

    TopoDS_Face

    param theNbIsoU

    type theNbIsoU

    int

    param theNbIsoV

    type theNbIsoV

    int

    param theUVLimit

    type theUVLimit

    float

    param theUIsoParams

    type theUIsoParams

    TColStd_SequenceOfReal

    param theVIsoParams

    type theVIsoParams

    TColStd_SequenceOfReal

    param theUmin

    type theUmin

    float

    param theUmax

    type theUmax

    float

    param theVmin

    type theVmin

    float

    param theVmax

    type theVmax

    float

    rtype

    void

property thisown

The membership flag

class StdPrs_Plane

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Defines display of infinite planes. The infinite plane aPlane is added to the display aPresentation, and the attributes of the display are defined by the attribute manager aDrawer.
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aPlane

    type aPlane

    Adaptor3d_Surface

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    void

static Match()
  • returns true if the distance between the point (X,Y,Z) and the plane is less than aDistance.
    param X

    type X

    float

    param Y

    type Y

    float

    param Z

    type Z

    float

    param aDistance

    type aDistance

    float

    param aPlane

    type aPlane

    Adaptor3d_Surface

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    bool

property thisown

The membership flag

class StdPrs_Point

Bases: object

static Add()
static Match()
property thisown

The membership flag

class StdPrs_PoleCurve

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Defines display of BSpline and Bezier curves. Adds the 3D curve aCurve to the StdPrs_PoleCurve algorithm. This shape is found in the presentation object aPresentation, and its display attributes are set in the attribute manager aDrawer. The curve object from Adaptor3d provides data from a Geom curve. This makes it possible to use the surface in a geometric algorithm.
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    void

static Match()
  • returns true if the distance between the point (X,Y,Z) and the broken line made of the poles is less then aDistance.
    param X

    type X

    float

    param Y

    type Y

    float

    param Z

    type Z

    float

    param aDistance

    type aDistance

    float

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    bool

static Pick()
  • returns the pole the most near of the point (X,Y,Z) and returns its range. The distance between the pole and (X,Y,Z) must be less then aDistance. If no pole corresponds, 0 is returned.
    param X

    type X

    float

    param Y

    type Y

    float

    param Z

    type Z

    float

    param aDistance

    type aDistance

    float

    param aCurve

    type aCurve

    Adaptor3d_Curve

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    int

property thisown

The membership flag

class StdPrs_ShadedShape

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Shades <theShape>. @param theVolumeType defines the way how to interpret input shapes - as Closed volumes (to activate back-face culling and capping plane algorithms), as Open volumes (shells or solids with holes) or to perform Autodetection (would split input shape into two groups)
    param thePresentation

    type thePresentation

    Prs3d_Presentation

    param theShape

    type theShape

    TopoDS_Shape

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theVolume

    default value is StdPrs_Volume_Autodetection

    type theVolume

    StdPrs_Volume

    rtype

    void* Shades <theShape> with texture coordinates. @param theVolumeType defines the way how to interpret input shapes - as Closed volumes (to activate back-face culling and capping plane algorithms), as Open volumes (shells or solids with holes) or to perform Autodetection (would split input shape into two groups)

    param thePresentation

    type thePresentation

    Prs3d_Presentation

    param theShape

    type theShape

    TopoDS_Shape

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theHasTexels

    type theHasTexels

    bool

    param theUVOrigin

    type theUVOrigin

    gp_Pnt2d

    param theUVRepeat

    type theUVRepeat

    gp_Pnt2d

    param theUVScale

    type theUVScale

    gp_Pnt2d

    param theVolume

    default value is StdPrs_Volume_Autodetection

    type theVolume

    StdPrs_Volume

    rtype

    void

static AddWireframeForFacesWithoutTriangles()
  • Computes special wireframe presentation for faces without triangulation.
    param thePrs

    type thePrs

    Prs3d_Presentation

    param theShape

    type theShape

    TopoDS_Shape

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    rtype

    void

static AddWireframeForFreeElements()
  • Computes wireframe presentation for free wires and vertices
    param thePrs

    type thePrs

    Prs3d_Presentation

    param theShape

    type theShape

    TopoDS_Shape

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    rtype

    void

static ExploreSolids()
  • Searches closed and unclosed subshapes in shape structure and puts them into two compounds for separate processing of closed and unclosed sub-shapes
    param theShape

    type theShape

    TopoDS_Shape

    param theBuilder

    type theBuilder

    BRep_Builder

    param theClosed

    type theClosed

    TopoDS_Compound

    param theOpened

    type theOpened

    TopoDS_Compound

    param theIgnore1DSubShape

    type theIgnore1DSubShape

    bool

    rtype

    void

static FillFaceBoundaries()
  • Define primitive array of boundary segments for specified shape. @param theShape segments array or NULL if specified face does not have computed triangulation @param theUpperContinuity the most edge continuity class to be included to result (edges with more continuity will be ignored)
    param theShape

    type theShape

    TopoDS_Shape

    param theUpperContinuity

    default value is GeomAbs_CN

    type theUpperContinuity

    GeomAbs_Shape

    rtype

    opencascade::handle<Graphic3d_ArrayOfSegments>

static FillTriangles()
  • Create primitive array with triangles for specified shape. @param theShape [in] the shape with precomputed triangulation
    param theShape

    type theShape

    TopoDS_Shape

    rtype

    opencascade::handle<Graphic3d_ArrayOfTriangles>* Create primitive array of triangles for specified shape. @param theShape the shape with precomputed triangulation @param theHasTexels define UV coordinates in primitive array @param theUVOrigin origin for UV coordinates @param theUVRepeat repeat parameters for UV coordinates @param theUVScale scale coefficients for UV coordinates returns triangles array or NULL if specified face does not have computed triangulation

    param theShape

    type theShape

    TopoDS_Shape

    param theHasTexels

    type theHasTexels

    bool

    param theUVOrigin

    type theUVOrigin

    gp_Pnt2d

    param theUVRepeat

    type theUVRepeat

    gp_Pnt2d

    param theUVScale

    type theUVScale

    gp_Pnt2d

    rtype

    opencascade::handle<Graphic3d_ArrayOfTriangles>

property thisown

The membership flag

class StdPrs_ShadedSurface

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Adds the surface aSurface to the presentation object aPresentation. The surface’s display attributes are set in the attribute manager aDrawer. The surface object from Adaptor3d provides data from a Geom surface in order to use the surface in an algorithm.
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aSurface

    type aSurface

    Adaptor3d_Surface

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    void

property thisown

The membership flag

class StdPrs_ToolPoint

Bases: object

static Coord()
Parameters

aPoint

type aPoint

Geom_Point

param X

type X

float

param Y

type Y

float

param Z

type Z

float

rtype

void

property thisown

The membership flag

class StdPrs_ToolRFace(*args)

Bases: object

  • Empty constructor.
    rtype

    None* Constructor with initialization.

    param aSurface

    type aSurface

    BRepAdaptor_HSurface

    rtype

    None

Init()
  • Move iterator to the first element.
    rtype

    None

IsInvalidGeometry()
  • Return True if NULL curves have been skipped.
    rtype

    bool

IsOriented()
  • Return True indicating that iterator looks only for oriented edges.
    rtype

    bool

More()
  • Return True if iterator points to the curve.
    rtype

    bool

Next()
  • Go to the next curve in the face.
    rtype

    None

Orientation()
  • Return current edge orientation.
    rtype

    TopAbs_Orientation

Value()
  • Return current curve.
    rtype

    Adaptor2d_Curve2d

property thisown

The membership flag

class StdPrs_ToolTriangulatedShape

Bases: object

static ClearOnOwnDeflectionChange()
  • If presentation has own deviation coefficient and IsAutoTriangulation() is true, function will compare actual coefficients with previous values and will clear triangulation on their change (regardless actual tessellation quality). Function is placed here for compatibility reasons - new code should avoid using IsAutoTriangulation(). @param theShape [in] the shape @param theDrawer [in] the display settings @param theToResetCoeff [in] updates coefficients in theDrawer to actual state to avoid redundant recomputations
    param theShape

    type theShape

    TopoDS_Shape

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theToResetCoeff

    type theToResetCoeff

    bool

    rtype

    void

static ComputeNormals()
  • Computes nodal normals for Poly_Triangulation structure using UV coordinates and surface. Does nothing if triangulation already defines normals. @param theFace [in] the face @param theTris [in] the definition of a face triangulation
    param theFace

    type theFace

    TopoDS_Face

    param theTris

    type theTris

    Poly_Triangulation

    rtype

    None* Computes nodal normals for Poly_Triangulation structure using UV coordinates and surface. Does nothing if triangulation already defines normals. @param theFace [in] the face @param theTris [in] the definition of a face triangulation @param thePolyConnect [in,out] optional, initialized tool for exploring triangulation

    param theFace

    type theFace

    TopoDS_Face

    param theTris

    type theTris

    Poly_Triangulation

    param thePolyConnect

    type thePolyConnect

    Poly_Connect

    rtype

    void

static IsClosed()
  • Checks back faces visibility for specified shape (to activate back-face culling). returns true if shape is closed manifold Solid or compound of such Solids.
    param theShape

    type theShape

    TopoDS_Shape

    rtype

    bool

static IsTessellated()
  • Checks whether the shape is properly triangulated for a given display settings. @param theShape [in] the shape. @param theDrawer [in] the display settings.
    param theShape

    type theShape

    TopoDS_Shape

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    rtype

    bool

static IsTriangulated()
  • Similar to BRepTools::Triangulation() but without extra checks. returns true if all faces within shape are triangulated.
    param theShape

    type theShape

    TopoDS_Shape

    rtype

    bool

static Normal()
  • Evaluate normals for a triangle of a face. @param theFace [in] the face. @param thePolyConnect [in] the definition of a face triangulation. @param theNormal [out] the array of normals for each triangle.
    param theFace

    type theFace

    TopoDS_Face

    param thePolyConnect

    type thePolyConnect

    Poly_Connect

    param theNormals

    type theNormals

    TColgp_Array1OfDir

    rtype

    void

static Tessellate()
  • Validates triangulation within the shape and performs tessellation if necessary. @param theShape [in] the shape. @param theDrawer [in] the display settings. returns true if tesselation was recomputed and false otherwise.
    param theShape

    type theShape

    TopoDS_Shape

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    rtype

    bool

property thisown

The membership flag

class StdPrs_ToolVertex

Bases: object

static Coord()
Parameters

aPoint

type aPoint

TopoDS_Vertex

param X

type X

float

param Y

type Y

float

param Z

type Z

float

rtype

void

property thisown

The membership flag

class StdPrs_Vertex

Bases: object

static Add()
static Match()
property thisown

The membership flag

class StdPrs_WFDeflectionRestrictedFace

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Defines a display featuring U and V isoparameters. Adds the surface aFace to the StdPrs_WFRestrictedFace algorithm. This face is found in a shape in the presentation object aPresentation, and its display attributes - in particular, the number of U and V isoparameters - are set in the attribute manager aDrawer. aFace is BRepAdaptor_HSurface surface created from a face in a topological shape. which is passed as an argument through the BRepAdaptor_HSurface surface created from it. This is what allows the topological face to be treated as a geometric surface.
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aFace

    type aFace

    BRepAdaptor_HSurface

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    void* Defines a display of a delection-specified face. The display will feature U and V isoparameters. Adds the topology aShape to the StdPrs_WFRestrictedFace algorithm. This shape is found in the presentation object aPresentation, and its display attributes - except the number of U and V isoparameters - are set in the attribute manager aDrawer. The function sets the number of U and V isoparameters, NBUiso and NBViso, in the shape. To do this, the arguments DrawUIso and DrawVIso must be true. aFace is BRepAdaptor_HSurface surface created from a face in a topological shape. which is passed as an argument through the BRepAdaptor_HSurface surface created from it. This is what allows the topological face to be treated as a geometric surface. Curves give a sequence of face curves, it is used if the PrimitiveArray visualization approach is activated (it is activated by default).

    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aFace

    type aFace

    BRepAdaptor_HSurface

    param DrawUIso

    type DrawUIso

    bool

    param DrawVIso

    type DrawVIso

    bool

    param Deflection

    type Deflection

    float

    param NBUiso

    type NBUiso

    int

    param NBViso

    type NBViso

    int

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    param Curves

    type Curves

    Prs3d_NListOfSequenceOfPnt

    rtype

    void

static AddUIso()
  • Defines a display featuring U isoparameters respectively. Add the surface aFace to the StdPrs_WFRestrictedFace algorithm. This face is found in a shape in the presentation object aPresentation, and its display attributes - in particular, the number of U isoparameters - are set in the attribute manager aDrawer. aFace is BRepAdaptor_HSurface surface created from a face in a topological shape. which is passed to the function as an argument through the BRepAdaptor_HSurface surface created from it. This is what allows the topological face to be treated as a geometric surface.
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aFace

    type aFace

    BRepAdaptor_HSurface

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    void

static AddVIso()
  • Defines a display featuring V isoparameters respectively. Add the surface aFace to the StdPrs_WFRestrictedFace algorithm. This face is found in a shape in the presentation object aPresentation, and its display attributes - in particular, the number of V isoparameters - are set in the attribute manager aDrawer. aFace is BRepAdaptor_HSurface surface created from a face in a topological shape. which is passed to the function as an argument through the BRepAdaptor_HSurface surface created from it. This is what allows the topological face to be treated as a geometric surface.
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aFace

    type aFace

    BRepAdaptor_HSurface

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    void

static Match()
Parameters

X

type X

float

param Y

type Y

float

param Z

type Z

float

param aDistance

type aDistance

float

param aFace

type aFace

BRepAdaptor_HSurface

param aDrawer

type aDrawer

Prs3d_Drawer

rtype

bool:param X:

type X

float

param Y

type Y

float

param Z

type Z

float

param aDistance

type aDistance

float

param aFace

type aFace

BRepAdaptor_HSurface

param aDrawer

type aDrawer

Prs3d_Drawer

param DrawUIso

type DrawUIso

bool

param DrawVIso

type DrawVIso

bool

param aDeflection

type aDeflection

float

param NBUiso

type NBUiso

int

param NBViso

type NBViso

int

rtype

bool

static MatchUIso()
Parameters

X

type X

float

param Y

type Y

float

param Z

type Z

float

param aDistance

type aDistance

float

param aFace

type aFace

BRepAdaptor_HSurface

param aDrawer

type aDrawer

Prs3d_Drawer

rtype

bool

static MatchVIso()
Parameters

X

type X

float

param Y

type Y

float

param Z

type Z

float

param aDistance

type aDistance

float

param aFace

type aFace

BRepAdaptor_HSurface

param aDrawer

type aDrawer

Prs3d_Drawer

rtype

bool

property thisown

The membership flag

class StdPrs_WFDeflectionSurface

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Adds the surface aSurface to the presentation object aPresentation, and defines its boundaries and isoparameters. The shape’s display attributes are set in the attribute manager aDrawer. These include whether deflection is absolute or relative to the size of the shape. The surface aSurface is a surface object from Adaptor, and provides data from a Geom surface. This makes it possible to use the surface in a geometric algorithm. Note that this surface object is manipulated by handles.
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aSurface

    type aSurface

    Adaptor3d_HSurface

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    void

property thisown

The membership flag

class StdPrs_WFPoleSurface

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Adds the surface aSurface to the presentation object aPresentation. The shape’s display attributes are set in the attribute manager aDrawer. The surface aSurface is a surface object from Adaptor3d, and provides data from a Geom surface. This makes it possible to use the surface in a geometric algorithm.
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aSurface

    type aSurface

    Adaptor3d_Surface

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    void

property thisown

The membership flag

class StdPrs_WFRestrictedFace

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
Parameters

thePresentation

type thePresentation

Prs3d_Presentation

param theFace

type theFace

BRepAdaptor_HSurface

param theDrawUIso

type theDrawUIso

bool

param theDrawVIso

type theDrawVIso

bool

param theNbUIso

type theNbUIso

int

param theNbVIso

type theNbVIso

int

param theDrawer

type theDrawer

Prs3d_Drawer

param theCurves

type theCurves

Prs3d_NListOfSequenceOfPnt

rtype

void:param thePresentation:

type thePresentation

Prs3d_Presentation

param theFace

type theFace

BRepAdaptor_HSurface

param theDrawer

type theDrawer

Prs3d_Drawer

rtype

void

static AddUIso()
Parameters

thePresentation

type thePresentation

Prs3d_Presentation

param theFace

type theFace

BRepAdaptor_HSurface

param theDrawer

type theDrawer

Prs3d_Drawer

rtype

void

static AddVIso()
Parameters

thePresentation

type thePresentation

Prs3d_Presentation

param theFace

type theFace

BRepAdaptor_HSurface

param theDrawer

type theDrawer

Prs3d_Drawer

rtype

void

static Match()
Parameters

theX

type theX

float

param theY

type theY

float

param theZ

type theZ

float

param theDistance

type theDistance

float

param theFace

type theFace

BRepAdaptor_HSurface

param theDrawUIso

type theDrawUIso

bool

param theDrawVIso

type theDrawVIso

bool

param theDeflection

type theDeflection

float

param theNbUIso

type theNbUIso

int

param theNbVIso

type theNbVIso

int

param theDrawer

type theDrawer

Prs3d_Drawer

rtype

bool:param theX:

type theX

float

param theY

type theY

float

param theZ

type theZ

float

param theDistance

type theDistance

float

param theFace

type theFace

BRepAdaptor_HSurface

param theDrawer

type theDrawer

Prs3d_Drawer

rtype

bool

static MatchUIso()
Parameters

theX

type theX

float

param theY

type theY

float

param theZ

type theZ

float

param theDistance

type theDistance

float

param theFace

type theFace

BRepAdaptor_HSurface

param theDrawer

type theDrawer

Prs3d_Drawer

rtype

bool

static MatchVIso()
Parameters

theX

type theX

float

param theY

type theY

float

param theZ

type theZ

float

param theDistance

type theDistance

float

param theFace

type theFace

BRepAdaptor_HSurface

param theDrawer

type theDrawer

Prs3d_Drawer

rtype

bool

property thisown

The membership flag

class StdPrs_WFShape

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Computes wireframe presentation of a shape. @param thePresentation [in] the presentation. @param theShape [in] the shape. @param theDrawer [in] the draw settings. @param theIsParallel [in] perform algorithm using multiple threads
    param thePresentation

    type thePresentation

    Prs3d_Presentation

    param theShape

    type theShape

    TopoDS_Shape

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    param theIsParallel

    default value is Standard_False

    type theIsParallel

    bool

    rtype

    void

static AddAllEdges()
  • Compute all edges (wire, free, unfree) and put them into single primitive array. @param theShape [in] the shape @param theDrawer [in] the drawer settings (deviation angle and maximal parameter value)
    param theShape

    type theShape

    TopoDS_Shape

    param theDrawer

    type theDrawer

    Prs3d_Drawer

    rtype

    opencascade::handle<Graphic3d_ArrayOfPrimitives>

static AddEdgesOnTriangulation()
  • Compute free and boundary edges on a triangulation of each face in the given shape. @param theShape [in] the list of triangulated faces @param theToExcludeGeometric [in] flag indicating that Faces with defined Surface should be skipped
    param theShape

    type theShape

    TopoDS_Shape

    param theToExcludeGeometric

    default value is Standard_True

    type theToExcludeGeometric

    bool

    rtype

    opencascade::handle<Graphic3d_ArrayOfPrimitives>* Compute free and boundary edges on a triangulation of each face in the given shape. @param theSegments [in] the sequence of points defining segments @param theShape [in] the list of triangulated faces @param theToExcludeGeometric [in] flag indicating that Faces with defined Surface should be skipped

    param theSegments

    type theSegments

    TColgp_SequenceOfPnt

    param theShape

    type theShape

    TopoDS_Shape

    param theToExcludeGeometric

    default value is Standard_True

    type theToExcludeGeometric

    bool

    rtype

    void

static AddVertexes()
  • Compute vertex presentation for a shape. @param theShape [in] the shape @param theVertexMode [in] vertex filter
    param theShape

    type theShape

    TopoDS_Shape

    param theVertexMode

    type theVertexMode

    Prs3d_VertexDrawMode

    rtype

    opencascade::handle<Graphic3d_ArrayOfPoints>

property thisown

The membership flag

class StdPrs_WFSurface

Bases: OCC.Core.Prs3d.Prs3d_Root

static Add()
  • Draws a surface by drawing the isoparametric curves with respect to a fixed number of points given by the Drawer. The number of isoparametric curves to be drawn and their color are controlled by the furnished Drawer.
    param aPresentation

    type aPresentation

    Prs3d_Presentation

    param aSurface

    type aSurface

    Adaptor3d_HSurface

    param aDrawer

    type aDrawer

    Prs3d_Drawer

    rtype

    void

property thisown

The membership flag

class SwigPyIterator(*args, **kwargs)

Bases: object

advance()
copy()
decr()
distance()
equal()
incr()
next()
previous()
property thisown

The membership flag

value()